gnutls_pcert_list_import_x509_file(3)

NAME
gnutls_pcert_list_import_x509_file - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pcert_list_import_x509_file(gnutls_pcert_st * pcert_list, unsigned * pcert_list_size, const char * file, gnutls_x509_crt_fmt_t format, gnutls_pin_callback_t pin_fn, void * pin_fn_userdata, unsigned int flags);

ARGUMENTS

gnutls_pcert_st * pcert_list
    The structures to store the certificates; must not contain initialized gnutls_pcert_st structures.

unsigned * pcert_list_size
    Initially must hold the maximum number of certs. It will be updated with the number of certs available.

const char * file
    A file or supported URI with the certificates to load

gnutls_x509_crt_fmt_t format
    GNUTLS_X509_FMT_DER or GNUTLS_X509_FMT_PEM if a file is given

gnutls_pin_callback_t pin_fn
    a PIN callback if not globally set

void * pin_fn_userdata
    parameter for the PIN callback

unsigned int flags
    zero or flags from gnutls_certificate_import_flags

DESCRIPTION
This convenience function will import a certificate chain from the given file or supported URI to gnutls_pcert_st structures. The structures must be deinitialized afterwards using gnutls_pcert_deinit(). This function will always return a sorted certificate chain.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value; if the pcert list doesn't have enough space GNUTLS_E_SHORT_MEMORY_BUFFER will be returned.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/